#pragma once
#include <vector>
#include <cstdint>

#include <raylib-cpp.hpp>

namespace rl = raylib;

class Sortiva final
{
public:
	Sortiva();
	~Sortiva();

	void run();
private:
    rl::Window wnd;
	int m_Width;
	int m_Height;
	bool m_Running;

	/*
	* Draw Functions
	*/
	void draw();


	void setup();

	int m_Values = 3;

	std::vector<uint16_t> m_Steps;
};
